Create a debt

Create a new debt for a customer. A debt represents the amount of money owed by the customer to the organisation.

Once the debt is prepared, mark it as ready to start the debt management process.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
expand[]
array of strings

Expands related objects in the response to reduce API calls.

Example: ?expand[]=customer&expand[]=invoices

Available expansions: customer, invoices, line_items, payments, organisation, originator, payment_plans

expand[]
Allowed:
Body Params

The organisation_id and organisation cannot be provided together.

The customer_id and customer cannot be provided together.

The originator_id and originator cannot be provided together.

Cannot be used together with their respective IDs.

string
length between 1 and 255
^org_[a-zA-Z0-9]+$

The unique identifier of the organisation that the debt is associated with.

organisation
required
string
length between 1 and 255
^cus_[a-zA-Z0-9]+$

The unique identifier of an existing customer that will be associated with the debt.

customer
required

The customer object represents a customer in the system. It contains information about the customer, such as their name, date of birth, and contact details.

Note: The full_name field is required if first_name is not provided. The first_name field is required if full_name is not provided.

string
length between 1 and 255
^ori_[a-zA-Z0-9]+$

The unique identifier of the originator that the debt is associated with.

Required when kind is "purchased".

originator
object

The originator object to be created.

Required when kind is "purchased".

string
required
length between 1 and 255

The unique customer facing account number the customer will use to associate with the account.

string
enum
Defaults to managed

The type of debt that is being created.

Allowed:
string
enum
length between 3 and 3
^[A-Z]{3,3}$
Defaults to GBP

The currency in which the debt is denominated. Currency information is critical for financial reporting, risk assessment, and ensuring appropriate handling in multinational operations.

invoices
array of objects
length ≤ 25
invoices
line_items
array of objects
length ≤ 25
line_items
payments
array of objects
length ≤ 25
payments
tags
array of strings

A list of tags that can be used to categorize and filter debts.
Note: This is destructive and will replace all existing tags.

tags
configurations
object

A set of configurations that define the behaviour of the debt case. These configurations override any corresponding settings at the parent organisation, tenant, or market level.
Configurations can include interest rates, payment terms, and other financial parameters.

metadata
object

A set of key-value pairs that you can attach to an object.
It can be useful for storing additional information in a structured format.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*